"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7160>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e71f0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7280>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7310>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e73a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7430>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e74c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7550>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e75e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7670>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7700>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7790>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7820>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e78b0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7940>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e79d0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7a60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7af0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7b80>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7c10>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7ca0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7d30>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7dc0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7e50>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7f70>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff908e7ee0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb040>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb0d0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb160>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb1f0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb280>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb310>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb3a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb430>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb4c0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb550>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb5e0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb670>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb700>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb790>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb820>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb8b0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb940>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eb9d0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eba60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ebaf0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ebb80>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ebc10>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ebca0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ebd30>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ebdc0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ebe50>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ebee0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ebf70>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef040>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef0d0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef160>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef1f0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef280>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef310>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef3a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef430>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef4c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef550>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef5e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef790>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef670>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef820>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef8b0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef940>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff908ef9d0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff908efa60>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff908efb80>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff908efaf0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff908efc10>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff908efca0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff908efd30>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff908efe50>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff908efdc0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff908efee0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff908eff70>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff908f4040>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff908f40d0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff908f4160>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff908f41f0>)]
name: str = 'fr_HOCCN'
